org.codehaus.plexus.i18n

## Interface I18N

All Known Implementing Classes:
  DefaultI18N

    public interface I18N

### Field Summary

Fields
`static String` `ACCEPT_LANGUAGE`
`static String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `format(String bundleName, Locale locale, String key, Object arg1)`
`String` `format(String bundleName, Locale locale, String key, Object[] args)`
`String` `format(String bundleName, Locale locale, String key, Object arg1, Object arg2)`
`String` `format(String key, Object arg1)`
`String` `format(String key, Object arg1, Object arg2)`
`ResourceBundle` `getBundle()`
`ResourceBundle` `getBundle(String bundleName)`
`ResourceBundle` `getBundle(String bundleName, Locale locale)`
`ResourceBundle` `getBundle(String bundleName, String languageHeader)`
`String[]` `getBundleNames()`
`String` `getDefaultBundleName()`
`String` `getDefaultCountry()`
`String` `getDefaultLanguage()`
`Locale` `getLocale(String languageHeader)`
`String` `getString(String key)`
`String` `getString(String key, Locale locale)`
`String` `getString(String bundleName, Locale locale, String key)`

### Field Detail

#### ROLE

    static final String ROLE

#### ACCEPT_LANGUAGE

    static final String ACCEPT_LANGUAGE

See Also:
  Constant Field Values

### Method Detail

#### getDefaultLanguage

    String getDefaultLanguage()

#### getDefaultCountry

    String getDefaultCountry()

#### getDefaultBundleName

    String getDefaultBundleName()

#### getBundleNames

    String[] getBundleNames()

#### getBundle

    ResourceBundle getBundle()

#### getBundle

    ResourceBundle getBundle(String bundleName)

#### getBundle

    ResourceBundle getBundle(String bundleName,
                             String languageHeader)

#### getBundle

    ResourceBundle getBundle(String bundleName,
                             Locale locale)

#### getLocale

    Locale getLocale(String languageHeader)

#### getString

    String getString(String key)

#### getString

    String getString(String key,
                     Locale locale)

#### getString

    String getString(String bundleName,
                     Locale locale,
                     String key)

#### format

    String format(String key,
                  Object arg1)

#### format

    String format(String key,
                  Object arg1,
                  Object arg2)

#### format

    String format(String bundleName,
                  Locale locale,
                  String key,
                  Object arg1)

#### format

    String format(String bundleName,
                  Locale locale,
                  String key,
                  Object arg1,
                  Object arg2)

#### format

    String format(String bundleName,
                  Locale locale,
                  String key,
                  Object[] args)